Subject: bug#24947: ssh not working with ido

From: Michael Albinus <[email-masked]>
Date: Thu, 17 Nov 2016 15:09:38 +0100

Colin Baxter <[email-masked]> writes:

Hi Colin,

> Your patch works for me using ssh. I have ssh'd to a remote file and
> remote directory successfully. However, for ftp I get the error:
> 'tramp-file-name-handler: Host name must not match method "ftp"', and
> for telnet I get the error: 'tramp-file-name-handler: Host name must
> not match method "telnet"'.

I cannot reproduce it locally, the scenario works for telnet and
ftp. Could you, pls, run the following:

# emacs -Q -f ido-mode --eval "(setq tramp-verbose 10)"

Then enter "C-x C-f /telnet:". The error shall appear now. There will be
a Tramp debug buffer; pls send it.

> Best wishes,
> Colin.

Best regards, Michael.